%define name wmconfig
%define version 0.9.9
%define release 3mdk

Summary: A configuration tool for X window managers.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Graphical desktop/Other
BuildRequires: audiofile-devel esound-devel gnome-libs-devel zlib-devel
Source: %{name}-%{version}.tar.bz2
Patch0: wmconfig-mdkconf.diff.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The wmconfig program is a helper program which provides output for use in
configuring window managers. Wmconfig will produce a list of menu definitions
for a specified X window manager (currently, FVWM2, FVWM95, AfterStep, MWM,
IceWM and KDE are supported). Wmconfig's output can be placed into your .rc
file or you can use the output for other configuration purposes.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1

%build
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
	--enable-gnome


%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/wmconfig
%dir /etc/X11/wmconfig
/usr/X11R6/man/man1/wmconfig.1.bz2
%doc COPYING

%changelog
* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-3mdk
- rebuild

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-2mdk
- bm & macros

* Fri Aug 25 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.9-1mdk
- new version

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.7-3mdk
- automatically added BuildRequires

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-2mdk
- fixed group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build
- 0.9.7

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations

